Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.proxy
Class ProxyFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.proxy.ForwardFrame
                                                |
                                                +--org.w3c.jigsaw.proxy.ProxyFrame

Direct Known Subclasses:
  ProxyExtFrame

public class ProxyFrame
extends ForwardFrame

A proxy module for Jigsaw.

Field Summary
`protected static int` | `ATTR_HANDLEFTP` Attribute index - Should we tunnel ftp accesses ?

Fields inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`ATTR_LOCAL_ROOT, ATTR_RECEIVED_BY, ATTR_TRACEREQ, cache_hits, cache_icps, cache_misses, cache_nocache, cache_retrievals, cache_revalidations, lroot, manager, reqcount, reqerred`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`_allowed, acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ProxyFrame()`

Method Summary
`boolean` | `checkHandleFTP()` Do we handle ftp ?
`void` | `initialize(java.lang.Object[] values)` Update the URL in which we are installed.
`boolean` | `lookup(LookupState ls, LookupResult lr)` do the normal lookup, and set the proxy boolean flag if needed
`boolean` | `lookupOther(LookupState ls, LookupResult lr)` Lookup for an proxied resource.
`void` | `registerResource(FramedResource resource)` companion to initialize, called after the register
`void` | `setValue(int idx, java.lang.Object value)` Trap changes to the handleftp attribute.

Methods inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`dupReply, dupRequest, getLocalRoot, getLocalRootResource, getReceivedBy, getTraceRequest, getVia, notifyUnload, perform, updateStatistics`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteOtherResource, extended, get, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, link, lookupDirectory, lookupFile, lookupResource, options, performFrames, post, put, putFileResource, putOtherResource, registerOtherResource, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_HANDLEFTP

    protected static int ATTR_HANDLEFTP

  Attribute index - Should we tunnel ftp accesses ?

Constructor Detail

### ProxyFrame

    public ProxyFrame()

Method Detail

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  Trap changes to the handleftp attribute.
  Parameters:
    `idx` - The attribute being set.
    `value` - The new value for that attribute.
  Overrides:
    setValue in class HTTPFrame

### checkHandleFTP

    public boolean checkHandleFTP()

  Do we handle ftp ?
  Returns:
    A boolean.

### lookupOther

    public boolean lookupOther(LookupState ls,
                               LookupResult lr)
                        throws ProtocolException

  Lookup for an proxied resource.
  Parameters:
    `request` - The request whose URI is to be looked up.
    `ls` - The current lookup state
    `lr` - The result
  Throws:
    ProtocolException - If something fails.
  Overrides:
    lookupOther in class HTTPFrame

### lookup

    public boolean lookup(LookupState ls,
                          LookupResult lr)
                   throws ProtocolException

  do the normal lookup, and set the proxy boolean flag if needed
  Parameters:
    `ls` - The current lookup state
    `lr` - The result
  Returns:
    true if lookup is done.
  Throws:
    ProtocolException - If an error relative to the protocol occurs
  Overrides:
    lookup in class HTTPFrame

### registerResource

    public void registerResource(FramedResource resource)

  companion to initialize, called after the register
  Overrides:
    registerResource in class ForwardFrame

### initialize

    public void initialize(java.lang.Object[] values)

  Update the URL in which we are installed.
  Parameters:
    `values` - The default attribute values.
  Overrides:
    initialize in class ForwardFrame

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD